import React from 'react';
import { SDashboardItemSetup_Parameters, SDashboardConfiguration } from '../types';
import 'react-datepicker/dist/react-datepicker.css';
interface FilterProps {
    parameters: SDashboardItemSetup_Parameters[];
    onApply: (filters: Record<string, string | null | undefined>) => void;
    onClose: () => void;
    initialFilters?: Record<string, string | null | undefined>;
    configuration?: SDashboardConfiguration;
    idDashboardItem: string;
    statusData: string;
    onPlaySound?: () => void;
}
declare const Filter: React.FC<FilterProps>;
export default Filter;
